gtksourceview.SourceTagTable
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceTagTable

gtksourceview.SourceTagTable — Text Tag Table object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceTagTable(gtk.TextTagTable):
        gtksourceview.SourceTagTable()
        def add_tags(tags)
        def remove_source_tags()

## Ancestry

    +-- gobject.GObject
      +-- gtk.TextTagTable
        +-- gtksourceview.SourceTagTable

## Signal Prototypes

""changed"" | `def callback(`sourcetagtable`, `user_param1`, `...`)`

## Description

## Constructor

        gtksourceview.SourceTagTable()

Returns : | a new `gtksourceview.SourceTagTable`.

Creates a new `gtksourceview.SourceTagTable` object.

## Methods

### gtksourceview.SourceTagTable.add_tags

        def add_tags(tags)

`tags` : | a list conteining `gtksourceview.SourceTag` objects.

The `set_check_brackets`() method Add a list of tag to the table. The added tags are assigned the highest priority in the table. If a tag is already present in table or has the same name as an already-added tag, then it is not added to the table.

### gtksourceview.SourceTagTable.remove_source_tags

        def remove_source_tags()

The `remove_source_tags`() method removes all the source tags from the table. This will remove the table's reference to the tags, so be careful - tags will end up destroyed if you don't have a reference to them.

## Signals

### The "changed" gtksourceview.SourceTagTable Signal

        def callback(sourcetagtable, user_param1, ...)

`sourcetagtable` : | the sourcetagtable that received the signal
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

The "changed" signal is emitted when ....

Prev | Up | Next
gtksourceview.SourceTag | Home | gtksourceview.SourceTagStyle